# Python environment setup for testing

Install the prometheus [prometheus client](https://github.com/prometheus/client_python)
```
pip install prometheus-client
```

# Deployment

## Setup etcd running inmemory including backups

See [here](https://brakkee.org/site/2023/02/14/silencing-kubernetes-at-home/).

## Build the docker image

Build the docker image (after changing the docker repo URL in the `docker-compose.yaml` and in the `deployment.yaml`):
```
docker compose build
docker compose push
```

## Deploy onto your cluster

```
kubectl apply -k . 
```

